Subject: [lisp] Alvaro Retana's No Objection on draft-ietf-lisp-rfc6833bis-23: (with COMMENT)

From: Alvaro Retana <[email-masked]>
Date: Mon, 04 Feb 2019 09:10:57 -0800

Alvaro Retana has entered the following ballot position for
draft-ietf-lisp-rfc6833bis-23: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-lisp-rfc6833bis/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

(1) s/rfc8113/draft-ietf-lisp-rfc8113bis

(2) §5.1: "Values in the "Not Assigned" range can be assigned according to
procedures in [RFC8126]."  This sentence is out of place because it doesn't
specify which procedure...and the action is already specified in rfc8113bis
anyway.

(3) s/Not assigned/Unassigned     To match what the registry says.

---

From: Dino Farinacci <[email-masked]>
Date: Mon, 4 Feb 2019 10:12:29 -0800

Here is a diff for -24 that incorporates the changes below and Albert’s changes from Ben’s comments. I will submit today.

Dino

> On Feb 4, 2019, at 9:10 AM, Alvaro Retana <[email-masked]> wrote:
>

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Mon, 4 Feb 2019 18:23:07 +0000

Hi Dino,

Thanks – Benjamin over the weekend caught a couple of references which need to be updated via nits. I was just preparing an email to you with the fixes. If you can, include these tweaks also:

The IAB report (RFC4984) can be informative, no need to be normative.

RFC6071 on IPSec roadmap, nits (and me) can’t find it in the document? It can removed. If for some reason want to keep, it can be informative.

Nits has 5226 (IANA) as obsoleted, it should be updated to RFC8126 (which you have listed in the informative). Delete 5226, and move 8126 to the normative to replace 5226.

You have RFC2119 in informative. Usually this is also normative. Also, RFC8174 needs to be now mentioned with RFC2119, add that in the document and also list in the normative.

Thanks!
Deborah

From: lisp <[email-masked]> On Behalf Of Dino Farinacci
Sent: Monday, February 04, 2019 1:12 PM
To: Alvaro Retana <[email-masked]>
Cc: [email-masked]; The IESG <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [lisp] Alvaro Retana's No Objection on draft-ietf-lisp-rfc6833bis-23: (with COMMENT)

Dino

> On Feb 4, 2019, at 9:10 AM, Alvaro Retana <[email-masked]<mailto:[email-masked]>> wrote:
>
> Please refer to https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_iesg_statement_discuss-2Dcriteria.html&d=DwIFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=t_4mdnGN1QYvhWoBlVpBU33oceLF4fTMjo60JesHXBk&s=tF8-EnL-7ZdQg9NZuH0W9N3ZnCTcr7zMcN4YkPZuSfY&e=
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dlisp-2Drfc6833bis_&d=DwIFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=t_4mdnGN1QYvhWoBlVpBU33oceLF4fTMjo60JesHXBk&s=mPZHoYzYEp2s8Nnqi-_IExYI_3FkJo0QucA2w67CAok&e=
>
>
>
_______________________________________________
lisp mailing list
[email-masked]<mailto:[email-masked]>
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_lisp&d=DwICAg&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=t_4mdnGN1QYvhWoBlVpBU33oceLF4fTMjo60JesHXBk&s=wPj46XHTglwXmfHSGvsFJsRPtOsy0GZjzyaygXL8Bmg&e=

---

From: Dino Farinacci <[email-masked]>
Date: Mon, 4 Feb 2019 10:25:14 -0800

> Thanks – Benjamin over the weekend caught a couple of references which need to be updated via nits. I was just preparing an email to you with the fixes. If you can, include these tweaks also:

I didn’t see any comments. Do you mean run IDnits or all the comments below?

Dino

> [email-masked]

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Mon, 4 Feb 2019 18:27:30 +0000

Hi Dino,

Benjamin had sent to me to check on them as he saw them in nits. If you run nits, you will see them. Probably a good idea to run nits - there's a "MUST not" which needs to fixed also.

Thanks!
Deborah

-----Original Message-----
From: Dino Farinacci <[email-masked]> 
Sent: Monday, February 04, 2019 1:25 PM
To: BRUNGARD, DEBORAH A <[email-masked]>
Cc: Alvaro Retana <[email-masked]>; [email-masked]; The IESG <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [lisp] Alvaro Retana's No Objection on draft-ietf-lisp-rfc6833bis-23: (with COMMENT)

Dino

> Cc: [email-masked]; The IESG <[email-masked]>; 
> [email-masked]; [email-masked]
> Subject: Re: [lisp] Alvaro Retana's No Objection on 
> draft-ietf-lisp-rfc6833bis-23: (with COMMENT)
>  
> > When responding, please keep the subject line intact and reply to 
> > all email addresses included in the To and CC lines. (Feel free to 
> > cut this introductory paragraph, however.)
> > 
> > 
> > Please refer to 
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_ie
> > sg_statement_discuss-2Dcriteria.html&d=DwIFaQ&c=LFYZ-o9_HUMeMTSQicvj
> > Ig&r=6UhGpW9lwi9dM7jYlxXD8w&m=t_4mdnGN1QYvhWoBlVpBU33oceLF4fTMjo60Je
> > sHXBk&s=tF8-EnL-7ZdQg9NZuH0W9N3ZnCTcr7zMcN4YkPZuSfY&e=
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.iet
> > f.org_doc_draft-2Dietf-2Dlisp-2Drfc6833bis_&d=DwIFaQ&c=LFYZ-o9_HUMeM
> > TSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=t_4mdnGN1QYvhWoBlVpBU33oceLF4fT
> > Mjo60JesHXBk&s=mPZHoYzYEp2s8Nnqi-_IExYI_3FkJo0QucA2w67CAok&e=
> > 
> > 
> > 
> > (2) §5.1: "Values in the "Not Assigned" range can be assigned 
> > according to procedures in [RFC8126]."  This sentence is out of 
> > place because it doesn't specify which procedure...and the action is 
> > already specified in rfc8113bis anyway.
> > 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mail
> man_listinfo_lisp&d=DwICAg&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jY
> lxXD8w&m=t_4mdnGN1QYvhWoBlVpBU33oceLF4fTMjo60JesHXBk&s=wPj46XHTglwXmfH
> SGvsFJsRPtOsy0GZjzyaygXL8Bmg&e=

---

From: Dino Farinacci <[email-masked]>
Date: Mon, 4 Feb 2019 11:43:32 -0800

I ran nits and fixed the items below. Here is the new diff. Let me know if that’s it?

I’ll wait for an ack before submitting.

Dino

> On Feb 4, 2019, at 10:27 AM, BRUNGARD, DEBORAH A <[email-masked]> wrote:
> 
> Hi Dino,
>